Fields
Delete Field by ID
The Delete Field by ID endpoint permanently deletes a field from a document within an envelope.
DELETE
/
sign
/
envelopes
/
{envelopeID}
/
documents
/
{documentID}
/
fields
/
{fieldID}
Delete Field by ID
curl --request DELETE \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique string that identifies the envelope in the Nitro system.
A unique string that identifies the document in the Nitro system.
A unique string that identifies the field in the Nitro system.
Response
Field deleted successfully
Previous
Delete Fields by Field IDsThe **Delete Fields** endpoint permanently deletes multiple fields from a document within an envelope.
Next
⌘I
Delete Field by ID
